Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452244 - Evince can leave gs processes running after window is closed
Summary: Evince can leave gs processes running after window is closed
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 8
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-20 14:11 UTC by David Jansen
Modified: 2009-01-09 06:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 06:37:34 UTC


Attachments (Terms of Use)

Description David Jansen 2008-06-20 14:11:09 UTC
Description of problem:
There seems to be a problem with the evince: if one uses the standard CTRL-W in
the window to terminate the window, while a postscript file is still being
loaded, the gs process is left running and continues to take a considerable
amount of cpu time. 
This seems to happen only if the CTRL-W is done at the \"Loading....\" stage of
evince. Of course the same happens if you close the evince window in another way
(eg through the window manager)

Version-Release number of selected component (if applicable):
evince-2.20.2-1.fc8 (x86_64 & i386 both)

How reproducible:

Steps to Reproduce:
1. evince large_or_comples_file.ps
2. press ctrl-w
  
Actual results:

$ ps xua|grep gs
jansen   10546  2.2  0.2 102828 11756 pts/0    S    16:06   0:00 /usr/bin/gs
-sDEVICE=x11alpha -dNOPLATFONTS -dGraphicsAlphaBits=4 -dTextAlphaBits=4
-dDOINTERPOLATE -dNOPAUSE -dQUIET -dSAFER
/tmp/jansen/evince-10541/document-0-large_or_complex_file.ps -c quit


Expected results:
clean exit, no child processes left behind

Additional info:
I could not reproduce this problem on Fedora 9, evince-2.22.2-1.fc9

Comment 1 Bug Zapper 2008-11-26 10:54:08 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-01-09 06:37:34 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.